Bug 8765 - Add series title to intranet search results (non XSLT)
Summary: Add series title to intranet search results (non XSLT)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: David Cook
QA Contact: Mason James
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-12 20:58 UTC by David Cook
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8765 - Add series title to intranet search results (1.94 KB, patch)
2012-09-12 21:04 UTC, David Cook
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8765 - Add series title to intranet search results (2.00 KB, patch)
2012-09-14 13:10 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2012-09-12 20:58:26 UTC
Currently, the series volume is shown in the intranet search results completely on its own without the series title. 

It's also prefaced with a comma that currently creates 2 commas in a row and will provide double punctuation when series title is included (provided that people are including their punctuation when they catalogue as they should).
Comment 1 David Cook 2012-09-12 21:04:53 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-09-14 13:10:15 UTC
Created attachment 12225 [details] [review]
[SIGNED-OFF] Bug 8765 - Add series title to intranet search results

Patch adds series title to intranet search results, so that the
series volume is no longer displayed on its own.

It also removes the comma that comes before the series volume as
this is unnecessary punctuation that creates duplicate punctuation
in search results.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Owen Leonard 2012-09-14 13:14:25 UTC
It's worth noting that this patch is for the "normal" display and enables the display of whatever series title has been put into biblio.seriestitle, and Koha to MARC mapping limits this to a one-to-one relationship. If you've chosen to map 440, you won't see 490.

The XSLT results page doesn't appear to have any series handling at all.
Comment 4 Mason James 2012-09-14 15:37:20 UTC
(In reply to comment #2)
> Created attachment 12225 [details] [review]
> [SIGNED-OFF] Bug 8765 - Add series title to intranet search results
> Signed-off-by: Owen Leonard <oleonard@myacpl.org>

patch looks good, passing QA…

$ koha-qa.pl 

testing 1 commit(s) (applied to commit 0acebb8)
 * d2ac32b Bug 8765 - Add series title to intranet search results
      koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/results.tt

* koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/results.tt             OK
Comment 5 Paul Poulain 2012-09-17 17:00:58 UTC
Patch pushed to master. Note I replaced tab by 4 spaces before pushing. Please don't use tabs, use 4 spaces instead (see coding guidelines)
Comment 6 David Cook 2012-09-17 19:53:22 UTC
(In reply to comment #5)
> Patch pushed to master. Note I replaced tab by 4 spaces before pushing.
> Please don't use tabs, use 4 spaces instead (see coding guidelines)

Thanks for the reminder, Paul. I've started using another editor and I thought that I had it switched to spaces, but now I see the error. Future patches should be tab free :).
Comment 7 Chris Cormack 2012-09-19 02:50:57 UTC
Pushed to 3.8.x, will be in 3.8.5